function [h_L,h_R,h_D] = ps2_ecog_subjPow_anal_posNeg_plotCountsOnBrain(configNum,tRangeList,plotFlag,plotType,fdrFlag,printFlag,min_subj)
% This function makes brain plots using data computed in the anal_posNeg 
% function.

%( ) save and load stats
%( ) save images with diff views

%( ) add MTL slice
%(X) add time window of interest
%( ) add smoothing?
% parse inputs
if ~exist('path2surf','var') || isempty(path2surf)
   path2surf = '/data/eeg/freesurfer/subjects/average/surf/';
end
if ~exist('radius','var') || isempty(radius)
   radius = 12.5;
end
if ~exist('min_subj','var') || isempty(min_subj)
    min_subj = 5;
end
if ~exist('min_contacts','var') || isempty(min_contacts)
    min_contacts = 1;
end
if ~exist('tRangeList','var') ||isempty(tRangeList)
   tRangeList = [0 2000];  
end
if ~exist('plotFlag','var') ||isempty(plotFlag)
   plotFlag = 0;  
end
if ~exist('printFlag','var') ||isempty(printFlag)
   printFlag = 0;  
end
if ~exist('plotType','var') ||isempty(plotType)
   plotType = 'posNegBoth';  
end
if ~exist('fdrFlag','var') ||isempty(fdrFlag)
   fdrFlag = 1;  
end
% get groupdata 
[groupData,config,powConfig,retStruct] = ...
    ps2_ecog_subjPow_anal_posNeg(configNum,0);

for t = 1:size(tRangeList,1)   
tRange = tRangeList(t,:);
[retain_pos,retain_neg] = getRet_local(groupData,retStruct,tRange);

% get electrode data
xyz_all = cat(1,groupData.xyz);
subj_list = {groupData.subj};
xyz_pos = xyz_all(retain_pos,:);
xyz_neg = xyz_all(retain_neg,:);

% get depth data
isDepth = strcmp({groupData.eType},'D');
xyz_all_depth = xyz_all(isDepth,:);
xyz_pos_depth = xyz_all(retain_pos&isDepth,:);
xyz_neg_depth = xyz_all(retain_neg&isDepth,:);
subj_list_depth = subj_list(isDepth);

% load surf data
surfL = fullfile(path2surf,'lh.pial');
[vL,fL] = read_surf_wrapper(surfL);

surfR = fullfile(path2surf,'rh.pial');
[vR,fR] = read_surf_wrapper(surfR);

[vD,fD,FVCD] = load_depth_slice;


% load vert data
cd_mkdir(fullfile(config.saveDir,'plotCountsOnBrain'));
fname = [num2str(abs(tRange(1))) '-' num2str(abs(tRange(2))) '.mat'];
if exist(fname,'file')
    load(fname)
else
    % left and right
    isDepthFlag = 0;
    [vertStruct_L] = sig_verts_local(groupData,retain_pos,retain_neg,config,vL,fL,xyz_all,xyz_pos,xyz_neg,subj_list,radius,isDepthFlag,retStruct.retain_phasic,retStruct.retain_tonic);
    [vertStruct_R] = sig_verts_local(groupData,retain_pos,retain_neg,config,vR,fR,xyz_all,xyz_pos,xyz_neg,subj_list,radius,isDepthFlag,retStruct.retain_phasic,retStruct.retain_tonic);
    
    % depth
    isDepthFlag = 1;
    [vertStruct_D] = sig_verts_local(groupData(isDepth),retain_pos(isDepth),retain_neg(isDepth),...
        config,vD,fD,xyz_all_depth,xyz_pos_depth,xyz_neg_depth,...
        subj_list_depth,radius,isDepthFlag,retStruct.retain_phasic(isDepth),retStruct.retain_tonic(isDepth));
    save(fname,'vertStruct_L','vertStruct_R','vertStruct_D');
end
if plotFlag == 1
    
    view_list = [[-90 0];[90 0];[180 -90]];
    viewLbls = {'L_lat','L_med','L_inf'};
    dirs = ps2_dirs;
    figDir = fullfile(dirs.fig.analyses,'ecog','subjPow','posNeg_brainPlots',['fdrFlag' num2str(fdrFlag)]);
    cd_mkdir(figDir);
    % plot L
    [vL_lbl,h_L] = label_verts_local(plotType,plotFlag,config,vL,fL,vertStruct_L,min_subj,min_contacts,fdrFlag);
    if printFlag ==1
        printView_local(view_list,viewLbls,figDir,tRange,plotType)
    end
    
     % plot R
     view_list = [[90 0];[-90 0];[180 -90]];
     viewLbls = {'R_lat','R_med','R_inf'};
     [vR_lbl,h_R] =label_verts_local(plotType,plotFlag,config,vR,fR,vertStruct_R,min_subj,min_contacts,fdrFlag);
     if printFlag ==1
        printView_local(view_list,viewLbls,figDir,tRange,plotType)
     end
     
     % plot Depth
     view_list = [0 90];
     viewLbls = {'D'};isDepthFlag = 1;
     [vD_lbl,h_D] =label_verts_local(plotType,plotFlag,config,vD,fD,vertStruct_D,min_subj,min_contacts,...
         fdrFlag,isDepthFlag,FVCD);
     if printFlag == 1
        printView_local(view_list,viewLbls,figDir,tRange,plotType)
     end
   
disp(fname)
if printFlag == 1
close all;
end
end

% % do timing analyses
% % pos 
% posNegFlag = 1;
% [posOnset_pos,posDur_pos] = getTiming_local(groupData(retain_pos),posNegFlag,2,cat(1,vL,vR,vD),...
%     cat(1,vL_lbl',vR_lbl',vD_lbl'),radius);
% [posOnset_both,posDur_both] = getTiming_local(groupData(retain_pos),posNegFlag,4,cat(1,vL,vR,vD),...
%     cat(1,vL_lbl',vR_lbl',vD_lbl'),radius);
% 
% 
% % neg 
% posNegFlag = 0;
% [negOnset_neg,negDur_neg] = getTiming_local(groupData(retain_neg),posNegFlag,3,cat(1,vL,vR,vD),...
%     cat(1,vL_lbl',vR_lbl',vD_lbl'),radius);
% [negOnset_both,negDur_both] = getTiming_local(groupData(retain_neg),posNegFlag,4,cat(1,vL,vR,vD),...
%     cat(1,vL_lbl',vR_lbl',vD_lbl'),radius);
% 




end

% FUNCTIONS BELOW
function[onset,dur] = getTiming_local(groupData,posNegFlag,lbl_val,vL,vL_lbl,radius)

xyz = cat(1,groupData.xyz);
ret = vert2elecRet_local(vL,vL_lbl,xyz,lbl_val,radius);

groupData_subj = collapse_w_subj(groupData,ret);
if posNegFlag ==1
    onset = [groupData_subj.posClusOnset];
    dur = [groupData_subj.posClusDur];
else
    onset = [groupData_subj.negClusOnset];
    dur = [groupData_subj.negClusDur];
end

function[ret_xyz] = vert2elecRet_local(vL,vL_lbl,xyz,lbl_val,radius) 
v_ret  = vL(vL_lbl == lbl_val,:);
for i = 1:size(xyz,1)
     vXYZ = xyz(i,:);
    
    % total elecs in the region
    pointRep = repmat(vXYZ, size(v_ret,1),1);
    distances = sqrt(sum((pointRep-v_ret).^2,2));
    ret_xyz(i) = any(distances<=radius);
end

function[p,stats,num_sig_z] = counts_perm_local(groupData,retain,alfa);
subj_list  =unique({groupData.subj});
iters = 10000;
num_sig_z = nan;
for s = 1:length(subj_list)
   subj_ret =  strcmp({groupData.subj},subj_list{s});
   num_elecs(s) = sum(subj_ret);
   num_sig = sum(subj_ret&retain);
   
   % simulate null distribution for this subject
   num_sig_null = binornd(num_elecs(end),alfa,[1 iters]);
      
   % z-score by binomial dist
   num_sig_z(s) = (num_sig - mean(num_sig_null))/std(num_sig_null);
end
[~,p,~,stats] = ttest(num_sig_z);

function[] = printView_local(view_list,viewLbls,figDir,tRange,plotType)
for v = 1:size(view_list,1)
    set(gca,'view',view_list(v,:));
    h = camlight;
    thisFigDir = fullfile(figDir,plotType,...
        viewLbls{v});
    cd_mkdir(thisFigDir);
    print(gcf,fullfile(thisFigDir,[num2str(abs(tRange(1))) '-' num2str(abs(tRange(2)))]),...
        '-depsc2','-r150'); 
    set(h,'visible','off');clear h
end


function[retain_pos,retain_neg] = getRet_local(groupData,retStruct,tRange);

retain_pos = retStruct.retain_pos& ...
    ([groupData.posClusOnset]>=tRange(1) &...
    [groupData.posClusOnset]<=tRange(2)) |...
    ([groupData.posClusOffset]>=tRange(1) &...
    [groupData.posClusOffset]<=tRange(2)) |...
    ([groupData.posClusOnset]<tRange(1) &...
    [groupData.posClusOffset]>tRange(2));

retain_neg = retStruct.retain_neg& ...
    ([groupData.negClusOnset]>=tRange(1) &...
    [groupData.negClusOnset]<=tRange(2)) |...
    ([groupData.negClusOffset]>=tRange(1) &...
    [groupData.negClusOffset]<=tRange(2)) |...
    ([groupData.negClusOnset]<tRange(1) &...
    [groupData.negClusOffset]>tRange(2));

function [vertStruct] = sig_verts_local(groupData,retain_pos,retain_neg,config,vL,fL,xyz_all,xyz_pos,xyz_neg,subj_list,radius,isDepthFlag,retain_phasic,retain_tonic)
pos_p = nan(1,size(vL,1));neg_p = pos_p;
pos_frac = pos_p; neg_frac = neg_p;
numSubj = pos_p; numContacts = pos_p;

% if plotting depths, snap everything to the z-plane
% if isDepthFlag
%     xyz_all(:,3) = unique(vL(:,3));
%     xyz_pos(:,3) = unique(vL(:,3));
%     xyz_neg(:,3) = unique(vL(:,3));
% end

% mean onset and dur for pos and neg
[onset,dur] =...
        onsetDur_local(1,groupData,retain_pos);
pos_onset_mean = nanmean(onset);
pos_dur_mean = nanmean(dur);
[onset,dur] =...
        onsetDur_local(2,groupData,retain_neg);
neg_onset_mean = nanmean(onset);
neg_dur_mean = nanmean(dur);

%
frac_phasic_pos = sum(retain_phasic&retain_pos)/sum(retain_pos);
frac_phasic_neg = sum(retain_phasic&retain_neg)/sum(retain_neg);
frac_tonic_pos = sum(retain_tonic&retain_pos)/sum(retain_pos);
frac_tonic_neg = sum(retain_tonic&retain_neg)/sum(retain_neg);

% Loop through left vertices
parfor v = 1:size(vL,1)
    vXYZ = vL(v,:);
    
    % total elecs in the region
    pointRep = repmat(vXYZ, size(xyz_all,1),1);
    distances = sqrt(sum((pointRep-xyz_all).^2,2));
    ret_allelecs = distances<=radius;
    
    [pos_p(v),~,~] = counts_perm_local(groupData(ret_allelecs),retain_pos(ret_allelecs),config.alfa);
    pos_frac(v) = sum(ret_allelecs&retain_pos')/sum(ret_allelecs);
    
    [neg_p(v),~,~] = counts_perm_local(groupData(ret_allelecs),retain_neg(ret_allelecs),config.alfa);
    neg_frac(v) = sum(ret_allelecs&retain_neg')/sum(ret_allelecs);
    
    tot_counts = sum(ret_allelecs);
    numSubj(v) = length(unique(subj_list(ret_allelecs)));
    numContacts(v) = tot_counts;
    
    [phasic_p_pos(v),~,~] = counts_perm_local(groupData(ret_allelecs&retain_pos'),retain_phasic(ret_allelecs&retain_pos'),frac_phasic_pos);
    [phasic_p_neg(v),~,~] = counts_perm_local(groupData(ret_allelecs&retain_neg'),retain_phasic(ret_allelecs&retain_neg'),frac_phasic_neg);
    phasic_frac_pos(v) = sum(ret_allelecs&retain_pos'&retain_phasic')/sum(ret_allelecs&retain_pos');
    phasic_frac_neg(v) = sum(ret_allelecs&retain_neg'&retain_phasic')/sum(ret_allelecs&retain_neg');
        
    [tonic_p_pos(v),~,~] = counts_perm_local(groupData(ret_allelecs&retain_pos'),retain_tonic(ret_allelecs&retain_pos'),frac_tonic_pos);
    [tonic_p_neg(v),~,~] = counts_perm_local(groupData(ret_allelecs&retain_neg'),retain_tonic(ret_allelecs&retain_neg'),frac_tonic_neg);
    tonic_frac_pos(v) = sum(ret_allelecs&retain_pos'&retain_tonic')/sum(ret_allelecs&retain_pos');
    tonic_frac_neg(v) = sum(ret_allelecs&retain_neg'&retain_tonic')/sum(ret_allelecs&retain_neg');
    
    % Timing anlysis
    % pos contacts 
    pos_numSubj(v) = length(unique(subj_list(retain_pos'&ret_allelecs)));
    if pos_numSubj(v)>=2
        posNegFlag = 1;
        [onset,dur] =...
            onsetDur_local(posNegFlag,groupData(ret_allelecs),retain_pos(ret_allelecs));
        pos_onset(v) = nanmean(onset);
        pos_dur(v) = nanmean(dur);
        [~,pos_onset_p(v)] = ttest(onset',pos_onset_mean);
        [~,pos_dur_p(v)] = ttest(dur',pos_dur_mean);
    else
        pos_onset(v) = nan;
        pos_dur(v) = nan;
        pos_onset_p(v) = nan;
        pos_dur_p(v) = nan;
    end
    
    % neg contacts
    neg_numSubj(v) = length(unique(subj_list(retain_neg'&ret_allelecs)));
    if neg_numSubj(v)>=2
        posNegFlag = 1;
        [onset,dur] =...
            onsetDur_local(posNegFlag,groupData(ret_allelecs),retain_neg(ret_allelecs));
        neg_onset(v) = nanmean(onset);
        neg_dur(v) = nanmean(dur);
        [~,neg_onset_p(v)] = ttest(onset',neg_onset_mean);
        [~,neg_dur_p(v)] = ttest(dur',neg_dur_mean);
    else
        neg_onset(v) = nan;
        neg_dur(v) = nan;
        neg_onset_p(v) = nan;
        neg_dur_p(v) = nan;
    end

    %%% pos elecs in the region
    %pointRep = repmat(vXYZ, size(xyz_pos,1),1);
    %distances = sqrt(sum((pointRep-xyz_pos).^2,2));
    %pos_counts = sum(distances<=radius);
    %obs = [pos_counts tot_counts-pos_counts]';
    %expec = [config.alfa*tot_counts (1-config.alfa)*tot_counts]';
    %[~,pos_p(v)] = chi2test([obs,expec]);
    %pos_frac(v) = pos_counts/tot_counts;
    
    %%% neg elecs in the region
%     pointRep = repmat(vXYZ, size(xyz_neg,1),1);
%     distances = sqrt(sum((pointRep-xyz_neg).^2,2));
%     neg_counts = sum(distances<=radius);
%     obs = [neg_counts tot_counts-neg_counts]';
%     expec = [config.alfa*tot_counts (1-config.alfa)*tot_counts]';
%     [~,neg_p(v)] = chi2test([obs,expec]);
%     neg_frac(v) = pos_counts/tot_counts;
%     
      if mod(v,1000) == 0
        disp(v/size(vL,1))
      end
end    

vertStruct.pos_p = pos_p;
vertStruct.pos_frac = pos_frac;
vertStruct.neg_p =neg_p;
vertStruct.neg_frac =neg_frac;
vertStruct.numSubj =numSubj;
vertStruct.numContacts =numContacts;

vertStruct.pos_onset_mean =pos_onset_mean;
vertStruct.pos_dur_mean =pos_dur_mean;
vertStruct.pos_onset =pos_onset;
vertStruct.pos_onset_p =pos_onset_p;
vertStruct.pos_dur =pos_dur;
vertStruct.pos_dur_p =pos_dur_p;
vertStruct.pos_numSubj =pos_numSubj;

vertStruct.neg_onset_mean =neg_onset_mean;
vertStruct.neg_dur_mean =neg_dur_mean;
vertStruct.neg_onset =neg_onset;
vertStruct.neg_onset_p =neg_onset_p;
vertStruct.neg_dur =neg_dur;
vertStruct.neg_dur_p =neg_dur_p;
vertStruct.neg_numSubj =neg_numSubj;

vertStruct.phasic_pos_p = phasic_p_pos;
vertStruct.phasic_neg_p = phasic_p_neg;
vertStruct.phasic_pos_frac = phasic_frac_pos;
vertStruct.phasic_neg_frac = phasic_frac_neg;
vertStruct.phasic_pos_frac_mean = frac_phasic_pos;
vertStruct.phasic_neg_frac_mean = frac_phasic_neg;

vertStruct.tonic_pos_p = tonic_p_pos;
vertStruct.tonic_neg_p = tonic_p_neg;
vertStruct.tonic_pos_frac = tonic_frac_pos;
vertStruct.tonic_neg_frac = tonic_frac_neg;
vertStruct.tonic_pos_frac_mean = frac_tonic_pos;
vertStruct.tonic_neg_frac_mean = frac_tonic_neg;
% pos_mean_onset etc

function [onset,dur] = onsetDur_local(posNegFlag1,groupData,ret1)
%swagFig;hold all
[groupData1] = collapse_w_subj(groupData,ret1);
if posNegFlag1 == 1
    onset = [groupData1.posClusOnset]; dur = [groupData1.posClusDur];
else
    onset = [groupData1.negClusOnset]; dur = [groupData1.negClusDur];
end   
function[vL_counts,h] = label_verts_local(plotType,plotFlag,config,vL,fL,vertStruct,min_subj,min_contacts,fdrFlag,isDepthFlag,FVCD)
pos_p = vertStruct.pos_p;
pos_frac = vertStruct.pos_frac;
neg_p = vertStruct.neg_p;
neg_frac = vertStruct.neg_frac;
numSubj = vertStruct.numSubj;
numContacts = vertStruct.numContacts;

vL_counts = nan(1,length(pos_p));
if ~exist('isDepthFlag','var') || isempty(isDepthFlag)
    isDepthFlag = 0; 
end

%
nanInd = numSubj<min_subj | ...
    numContacts<min_contacts;
pos_p(nanInd) = nan;
neg_p(nanInd) = nan;
    
if fdrFlag == 1
    pVec = [pos_p(~isnan(pos_p)) neg_p(~isnan(neg_p))];
    alfa = fdr(pVec,config.alfa);
else
    alfa = config.alfa;
end
switch plotType
    case 'posNegBoth'
    [kolList] =[.5 .5 .5; 1 .5 .2; 0 1 1; .1 .9 .1];
    countList = [0:4];
    pFlag = (pos_p<=alfa & pos_frac>=0.05);
    nFlag = (neg_p<=alfa & neg_frac>=0.05);

    vL_counts(~pFlag&~nFlag) = 1;
    vL_counts(pFlag&~nFlag) = 2;
    vL_counts(~pFlag&nFlag) = 3;
    vL_counts(pFlag&nFlag) = 4;
    
    case 'posHot'
    [kolList] =[.5 .5 .5; autumn(6)];    
    countList = [0:7];
    
    vL_counts(pos_p>alfa | pos_frac<0.05) = 1;
    vL_counts(pos_p<=alfa & pos_frac>=0.05 & pos_frac<0.1) = 2;
    vL_counts(pos_p<=alfa & pos_frac>0.1 & pos_frac<0.2) = 3;
    vL_counts(pos_p<=alfa & pos_frac>=0.2 & pos_frac<0.3) = 4;
    vL_counts(pos_p<=alfa & pos_frac>=0.3 & pos_frac<0.4) = 5;
    vL_counts(pos_p<=alfa & pos_frac>=0.4 & pos_frac<0.5) = 6;
    vL_counts(pos_p<=alfa & pos_frac>=0.5) = 7;
   
    case 'negHot'
    [kolList] =[.5 .5 .5; winter(6)];    
    countList = [0:7];
    
    vL_counts(neg_p>alfa | neg_frac<0.05) = 1;
    vL_counts(neg_p<=alfa & neg_frac>=0.05 & neg_frac<0.1) = 2;
    vL_counts(neg_p<=alfa & neg_frac>=0.1 & neg_frac<0.2) = 3;
    vL_counts(neg_p<=alfa & neg_frac>=0.2 & neg_frac<0.3) = 4;
    vL_counts(neg_p<=alfa & neg_frac>=0.3 & neg_frac<0.4) = 5;
    vL_counts(neg_p<=alfa & neg_frac>=0.4 & neg_frac<0.5) = 6;
    vL_counts(neg_p<=alfa & neg_frac>=0.5) = 7;

    case {'pos_onset','neg_onset','pos_dur','neg_dur'}
    pVec = [vertStruct.([plotType '_p'])];
    
    if ~(isempty(regexp(plotType,'pos','once')))
        retInd = pos_p<=alfa & pos_frac>=0.05;
        rmInd = [vertStruct.pos_numSubj]<min_subj;
        kolList = [.5 .5 .5; 1 .5 0; 1 0 0; 1 1 0];    
    else
        retInd = neg_p<=alfa & neg_frac>=0.05;
        rmInd = [vertStruct.neg_numSubj]<min_subj;
        kolList = [.5 .5 .5; 0 1 1; 0 0 1; 1 .7 1];    
    end
    countList = 0:4;
    
    if 1%fdrFlag == 1
        alfa = fdr(pVec(~isnan(pVec)&~rmInd),config.alfa);
        if isempty(alfa)
            alfa = 0;
        end
    else
        alfa = config.alfa;
    end
    
    earlyInd = [vertStruct.(plotType)]<[vertStruct.([plotType '_mean'])];
    vL_counts(~retInd) = 1; 
    vL_counts(retInd) = 2; 
    vL_counts(retInd&~rmInd&pVec<=alfa&earlyInd) = 3;
    vL_counts(retInd&~rmInd&pVec<=alfa&~earlyInd) = 4;     
    
    case {'phasic_pos','phasic_neg','tonic_pos','tonic_neg'}
        pVec = [vertStruct.([plotType '_p'])];

        if ~(isempty(regexp(plotType,'pos','once')))
            retInd = pos_p<=alfa & pos_frac>=0.05;
            rmInd = [vertStruct.pos_numSubj]<min_subj;
            kolList = [.5 .5 .5; 1 .5 0; 1 0 0; 1 1 0];    
        else
            retInd = neg_p<=alfa & neg_frac>=0.05;
            rmInd = [vertStruct.neg_numSubj]<min_subj;
            kolList = [.5 .5 .5; 0 1 1; 0 0 1; 1 .7 1];    
        end
        countList = 0:4;

        if 1%fdrFlag == 1
            alfa = fdr(pVec(~isnan(pVec)&~rmInd),config.alfa);
            if isempty(alfa)
                alfa = 0;
            end
        else
            alfa = config.alfa;
        end

        earlyInd = [vertStruct.([plotType '_frac'])]<[vertStruct.([plotType '_frac_mean'])];
        vL_counts(~retInd) = 1; 
        vL_counts(retInd) = 2; 
        vL_counts(retInd&~rmInd&pVec<=alfa&earlyInd) = 3;
        vL_counts(retInd&~rmInd&pVec<=alfa&~earlyInd) = 4;     
end

vL_counts(numSubj<min_subj | ...
    numContacts<min_contacts) = 0;
if plotFlag ==1
    if ~isDepthFlag
        [kolList] =[.1 .1 .1;kolList];     
        h = plotHemis_local(vL,fL,vL_counts,kolList,countList);
    else
        [kolList] =[0 0 0;0 0 0;kolList(2:end,:)]; 
        h = plotDepth_local(vL,fL,FVCD,vL_counts,kolList,countList);
    end
else
    h = [];
end
function [groupData_subj] = collapse_w_subj(groupData,retain);
groupData = groupData(retain);
subj_list = unique({groupData.subj});
names = fieldnames(groupData);
groupData_subj = struct;
for s = 1:length(subj_list)
    retain_subj = strcmp(subj_list{s},{groupData.subj});
    for n = 1:length(names)
        switch names{n}
            case {'subj','eName','acc','anatRegion','anatRegion_indiv','ROI','eType'} %grab first entry
                groupData_subj(s).(names{n}) = ...
                    groupData(find(retain_subj,1)).(names{n}); 
            case {'posClusP','negClusP'} % take min
                groupData_subj(s).(names{n}) = ...
                    min(cat(1,groupData(retain_subj).(names{n})));
            otherwise % get mean value
                groupData_subj(s).(names{n}) = ...
                    nanmean(cat(1,groupData(retain_subj).(names{n})),1);
        end
    end
end
%% plot surf
function [h] = plotHemis_local(vL,fL,vL_counts,kolList,countList)
h = swagFig;
for i = 1:length(countList)
    thisCount = countList(i);
    thisKol = kolList(i,:);
    indices = (1:size(vL));
    indices(vL_counts~=thisCount)=[];
    thisF = fL(any(ismember(fL, indices),2),:);
    if size(thisF,1)>0
        hold all
        plotsurf_wrapper(vL, thisF, thisKol,0);
    end
end
function [h] = plotDepth_local(vL,fL,FVCD,vL_counts,kolList,countList)
h = swagFig([0.7504    0.6458    0.1668    0.3054]);
for i = 1:length(countList)
    thisCount = countList(i);
    thisKol = kolList(i,:);
    indices = (1:size(vL));
    indices(vL_counts~=thisCount)=[];
    thisF = fL(any(ismember(fL, indices),2),:);
    if size(thisF,1)>0
        hold all
        plot_depth_local(vL,thisF,FVCD,thisKol)
    end
end
axis('off');

%% load depth slice
function [V,F,FVCD] = load_depth_slice 
  sliceNum = 2;
  picpath = fileparts(which('tal3d'));
  picfile = fullfile(picpath,'mni_depth_slice.mat');
  load(picfile);  
  F  = fs{sliceNum};
  V  = vs{sliceNum};

  CS = round(cs{sliceNum});
  BW_cMap = gray(125);
  FVCD = BW_cMap(CS,:);

function[]  = plot_depth_local(V,F,FVCD,kol)
if isempty(kol)||all(kol==0);      
    hs = patch('faces',F,'vertices',V,'edgecolor','none','FaceColor',...
     'interp','FaceVertexCData',FVCD);
else
    hs = patch('faces',F,'vertices',V,'edgecolor','none','FaceColor',...
     kol); 
end