function[fbEvents,choiceEvents,stimEvents] = ps2_ecog_subjPow_getSubjEv(uSubj);
% This function returns events for all reimplants/montage changes


[subjListStruct] = ps2_ecog_subjPow_getSubjList(uSubj);


fbEvents = [];
choiceEvents = [];
stimEvents = [];

thisList = subjListStruct.subjSessList;
for i = 1:size(thisList,1)
    if ~isempty(thisList{i,2})
        [fbEv,choiceEv,stimEv] = ...
            ps2_filtSessEv(thisList{i,1},thisList{i,2},'train');
        
        fbEv = addTnum_local(fbEv); % add trial number field to fb events
        
        fbEvents = [fbEvents,fbEv];
        choiceEvents = [choiceEvents,choiceEv];
        stimEvents = [stimEvents,stimEv];
    end
    
    if ~isempty(thisList{i,3})
        [fbEv,choiceEv,stimEv] = ...
            ps2_filtSessEv(thisList{i,1},thisList{i,2},'test');
        fbEvents = [fbEvents,fbEv];
        choiceEvents = [choiceEvents,choiceEv];
        stimEvents = [stimEvents,stimEv];
    end
end


function[fbEv] = addTnum_local(fbEv)
pairList = unique([fbEv.pairNum]);
pairCounts = zeros(1,length(pairList));

for i = 1:length(fbEv)
   pairIdx = ismember(pairList,fbEv(i).pairNum);
   pairCounts(pairIdx) =  pairCounts(pairIdx)+1;
   fbEv(i).tnum = pairCounts(pairIdx);
end