function [subjListStruct] = ps2_ecog_subjPow_getSubjList(uSubj)
% This function gets a list of subjects that ran the task, aggregating
% across re-implants

% Outputs
%subjListStruct .... structure containing the uSubjId, a list of subj - sess
% pairs for train and test sessions. Col 1 = subj, col 2 = train sess, col 3 = test sess 

sessList = ps2_getLists('ecog_ps2');
subjInfo = ps2_subjInfo;


uSubjList = unique(sessList(:,1));   

for i = 1:length(uSubjList)
    c = regexp(uSubjList{i},'_','split');
    uSubjList_clean{i} = c{1};
end

uSubjList = unique(uSubjList_clean);

subjListStruct = struct;

for i = 1:length(uSubjList)
   subjListStruct(i).subj = uSubjList{i};
   
   % get this subj info
   subjId = ~cellfun(@isempty,regexp({subjInfo.subj},uSubjList{i}));
   subjId_list = find(subjId);
    
   jcount = 0;
   for j = subjId_list
       jcount = jcount+1;
       thisSubj = subjInfo(j).subj;
       thisTrainList = subjInfo(j).sess.train;
       thisTestList = subjInfo(j).sess.test;
       thisList = cell(length(thisTrainList),3);
        
       for k = 1:length(thisTrainList)
          thisList{k,1} = thisSubj; 
          thisList{k,2} = thisTrainList{k}; 
          thisList{k,3} = thisTestList{k}; 
       end
       
       if jcount == 1
           subjListStruct(i).subjSessList = thisList;
       else
            subjListStruct(i).subjSessList = ...
                [subjListStruct(i).subjSessList;thisList];
       end
   end
    
end

if exist('uSubj','var')&&~isempty(uSubj)
   subjListStruct = subjListStruct(strcmp({subjListStruct.subj},uSubj));
end
